## ros-kinetic-turtlebot-stdr 2.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(turtlebot_stdr)

find_package(catkin REQUIRED)

catkin_package()

catkin_add_env_hooks(25.turtlebot-stdr SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

install(DIRECTORY launch 
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY maps 
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY rviz 
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY robot
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(
  PROGRAMS
    nodes/tf_connector.py    
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-turtlebot-stdr (2.2.3-0xenial) xenial; urgency=high

  * add turtlebot_navigation as dependency and fix amcl.launch.xml include path in turtlebot_stdr
  * Contributors: Gérald Lelong

 -- Mehdi Tlili <mehdi.tlili@gmail.com>  Mon, 18 Sep 2017 07:00:00 -0000

ros-kinetic-turtlebot-stdr (2.2.2-0xenial) xenial; urgency=high



 -- Mehdi Tlili <mehdi.tlili@gmail.com>  Wed, 16 Sep 2015 07:00:00 -0000

ros-kinetic-turtlebot-stdr (2.2.1-0xenial) xenial; urgency=high



 -- Mehdi Tlili <mehdi.tlili@gmail.com>  Fri, 07 Aug 2015 07:00:00 -0000

ros-kinetic-turtlebot-stdr (2.2.0-0xenial) xenial; urgency=high

  * add installrule for tf_connector and robot directory
  * Use default map topic name map after changing stdr's internal map server's topic
  * Use only one map topic and remove unused sensors from rviz
  * add stdr_resources as run_depend closes #38 <https://github.com/turtlebot/turtlebot_simulator/issues/38>
  * correct run_depend for stdr fixes #37 <https://github.com/turtlebot/turtlebot_simulator/issues/37>
  * renamed new_map to rviz_map, a map with the right global frame id
  * Update turtlebot.yaml
  * Update tf_connector.py
  * fixed map and costmap misalignement due to wrong frame_id
  * fix laser scan min max height for simulation
  * added architecture image
  * deleted cache file
  * added env-hooks folder
  * add env-hooks and changed the fixed frame in rviz from map to world
  * Cleaned up CMakeLists.txt
  * removed param and amcl/movebase modified launch files
  * turtlebot_stdr v0.1
  * Contributors: Jihoon Lee, Mehdi Tlili
  * add installrule for tf_connector and robot directory
  * Use default map topic name map after changing stdr's internal map server's topic
  * Use only one map topic and remove unused sensors from rviz
  * add stdr_resources as run_depend closes #38 <https://github.com/turtlebot/turtlebot_simulator/issues/38>
  * correct run_depend for stdr fixes #37 <https://github.com/turtlebot/turtlebot_simulator/issues/37>
  * renamed new_map to rviz_map, a map with the right global frame id
  * Update turtlebot.yaml
  * Update tf_connector.py
  * fixed map and costmap misalignement due to wrong frame_id
  * fix laser scan min max height for simulation
  * added architecture image
  * deleted cache file
  * added env-hooks folder
  * add env-hooks and changed the fixed frame in rviz from map to world
  * Cleaned up CMakeLists.txt
  * removed param and amcl/movebase modified launch files
  * turtlebot_stdr v0.1
  * Contributors: Jihoon Lee, Mehdi Tlili

 -- Mehdi Tlili <mehdi.tlili@gmail.com>  Tue, 30 Dec 2014 08:00:00 -0000

ros-kinetic-turtlebot-stdr (2.1.1-0xenial) xenial; urgency=high



 -- Mehdi Tlili <mehdi.tlili@gmail.com>  Mon, 14 Oct 2013 07:00:00 -0000

ros-kinetic-turtlebot-stdr (2.1.0-0xenial) xenial; urgency=high



 -- Mehdi Tlili <mehdi.tlili@gmail.com>  Mon, 02 Sep 2013 07:00:00 -0000

ros-kinetic-turtlebot-stdr (2.0.0-0xenial) xenial; urgency=high



 -- Mehdi Tlili <mehdi.tlili@gmail.com>  Mon, 12 Aug 2013 07:00:00 -0000

ros-kinetic-turtlebot-stdr (1.9.1-0xenial) xenial; urgency=high



 -- Mehdi Tlili <mehdi.tlili@gmail.com>  Wed, 02 Jan 2013 08:00:00 -0000

ros-kinetic-turtlebot-stdr (1.9.0-0xenial) xenial; urgency=high



 -- Mehdi Tlili <mehdi.tlili@gmail.com>  Sat, 22 Dec 2012 08:00:00 -0000

=== debian/control ===
Source: ros-kinetic-turtlebot-stdr
Section: misc
Priority: extra
Maintainer: Mehdi Tlili <mehdi.tlili@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://wiki.ros.org/turtlebot_stdr
Standards-Version: 3.9.2

Package: ros-kinetic-turtlebot-stdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-navigation, ros-kinetic-stdr-gui, ros-kinetic-stdr-resources, ros-kinetic-stdr-robot, ros-kinetic-stdr-server, ros-kinetic-turtlebot-bringup, ros-kinetic-turtlebot-navigation, ros-kinetic-yocs-velocity-smoother, ros-kinetic-yocs-virtual-sensor
Description: Stdr version of turtlebot simulation.
 Convenient to test 2D-navigation related stuffs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-turtlebot-stdr//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
